<?xml version="1.0" encoding="UTF-8"?>
<Context path="/nash-ws-server" docBase="/app/nash-ws-server.war" reloadable="false" cookies="true" disableURLRewriting="true">
    <Resources>
        <PreResources base="/app/conf" className="org.apache.catalina.webresources.DirResourceSet" readOnly="true" internalPath="/" webAppMount="/WEB-INF/classes" />
    </Resources>
    <Resource name="jdbc/nash-manager"
        auth="Container"
        type="javax.sql.DataSource"
        username="${app.db.username}"
        password="${app.db.password}"
        url="jdbc:postgresql://db:5432/${app.db.name}"
        driverClassName="org.postgresql.Driver"
        initialSize="${app.db.connection.initial}"
        maxWaitMillis="15000"
        maxTotal="${app.db.connection.max}"
        maxIdle="${app.db.connection.idle}"
        maxAge="7200000"
        testOnBorrow="true"
        validationQuery="select 1"
        defaultAutoCommit="false"
    />
</Context>
